import java.util.*;

public class Class192
{

    public int method2881()
    {
        return (int)(aLong2086 * 0x4cdfbfd6d9ade295L);
    }

    public List method2882(int i)
    {
        return Collections.unmodifiableList(anArrayList2084);
    }

    public List method2883(int i)
    {
        return Collections.unmodifiableList(anArrayList2093);
    }

    int method2884(int i)
    {
        return anInt2091 * 0xc7081c8d;
    }

    void method2885(int i)
    {
        anInt2091 += 0x39f90645;
    }

    void method2886(int i, byte byte0)
    {
        anArrayList2084.remove(i);
        method2917(0x5b70f41d);
    }

    public int method2887(byte byte0)
    {
        return 0xb4feefdf * anInt2090;
    }

    public long method2888(int i)
    {
        return aLong2087 * 0x22a401eaf0f8f323L;
    }

    public int hashCode()
    {
        return (int)(aLong2086 * 0x4cdfbfd6d9ade295L);
    }

    void method2889(int i, int j)
    {
        ((Class188)anArrayList2084.get(i)).method2841(j, 0x4c12a63a);
        method2917(0x4a3d86c3);
    }

    void method2890(int i)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2822(false, 0x27760457);
    }

    public Class218 method2891(int i)
    {
        if(anArrayList2084.isEmpty())
            return Class218.aClass218_2552;
        Class218 class218 = ((Class188)anArrayList2084.get(0)).method2825(0x464a821b);
        switch(class218.anInt2556 * 0x604a8461)
        {
        default:
            for(Iterator iterator = anArrayList2084.iterator(); iterator.hasNext();)
            {
                Class188 class188 = (Class188)iterator.next();
                if(class188.method2825(0x4e71e501) == Class218.aClass218_2552)
                    return Class218.aClass218_2552;
            }

            return Class218.aClass218_2557;

        case 2: // '\002'
        case 3: // '\003'
            return class218;
        }
    }

    void method2892(Class199 class199, int i)
    {
        anArrayList2093.add(class199);
    }

    public String method2893(byte byte0)
    {
        return aString2088;
    }

    public Interface15 method2894(byte byte0)
    {
        return new Class119(Class430.aClass430_5006, aClass672_2097);
    }

    void method2895(Class188 class188, int i)
    {
        anArrayList2084.add(class188);
        method2917(0x4282cfb6);
    }

    public Class192(long l, Class487_Sub17 class487_sub17, boolean flag, Interface22 interface22)
    {
        anInt2096 = 0x53c52f77;
        aLong2086 = 0x160ce7e70b2ad8bdL * l;
        int i = class487_sub17.method9219(0xd32783b4);
        if(i <= 0);
        int j = class487_sub17.method9219(0xcde9a1c7);
        aBool2082 = (j & 1) != 0;
        aBool2094 = 0 != (j & 2);
        aBool2095 = (j & 4) != 0;
        anInt2091 = class487_sub17.method9224((byte)-35) * 0x39f90645;
        aLong2087 = class487_sub17.method9272((byte)-12) * 0x81dadd4f93c9d48bL;
        aString2088 = class487_sub17.method9281((byte)1);
        anInt2090 = class487_sub17.method9221(0x1fe28d06) * 0x786d8c1f;
        class487_sub17.method9224((byte)-125);
        class487_sub17.method9272((byte)-60);
        int k = class487_sub17.method9220((byte)-81);
        anArrayList2084 = new ArrayList(k);
        for(int i1 = 0; i1 < k; i1++)
            anArrayList2084.add(new Class188(class487_sub17, aBool2094, aBool2095, interface22));

        int j1 = class487_sub17.method9220((byte)-75);
        anArrayList2093 = new ArrayList(j1);
        for(int k1 = 0; k1 < j1; k1++)
            anArrayList2093.add(new Class199(class487_sub17, aBool2094, aBool2095));

        aClass672_2097 = new Class672(interface22.method100(0x3cd09a7a));
        int l1 = class487_sub17.method9220((byte)-23);
        for(int i2 = 0; i2 < l1; i2++)
        {
            Class389 class389 = interface22.method100(0xe2ce433c).method8107(class487_sub17, 0xb775d59);
            aClass672_2097.method471(0xe97b85cf * class389.anInt4520, class389.anObject4519, (byte)37);
        }

        if(!flag)
        {
            class487_sub17.method9220((byte)-36);
            class487_sub17.method9220((byte)-109);
            class487_sub17.method9220((byte)-103);
            class487_sub17.method9220((byte)-125);
            class487_sub17.method9220((byte)-52);
        }
        method2917(0x762f7424);
    }

    public Class188 method2896(int i, int j)
    {
        if(-1 == i)
            return null;
        else
            return (Class188)anArrayList2084.get(i);
    }

    void method2897(int i, int j, int k)
    {
        ((Class188)anArrayList2084.get(i)).method2841(j, 0x4c12a63a);
        method2917(0x7760a8a2);
    }

    void method2898(int i, int j, int k)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2831(j, 0x8838282f);
        class188.method2822(true, 0x27760457);
    }

    void method2899(int i, int j)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2822(false, 0x27760457);
    }

    void method2900(int i, boolean flag, int j)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2826(flag ? Class218.aClass218_2557 : Class218.aClass218_2552, 0xf2999888);
    }

    void method2901(int i, int j)
    {
        ((Class188)anArrayList2084.get(i)).method2841(j, 0x4c12a63a);
        method2917(0x678ea4f1);
    }

    void method2902(int i)
    {
        Class188 class188;
        for(Iterator iterator = anArrayList2084.iterator(); iterator.hasNext(); class188.method2826(Class218.aClass218_2554, 0x97a3953a))
            class188 = (Class188)iterator.next();

    }

    void method2903(int i, Class188 class188, int j)
    {
        Class188 class188_1 = (Class188)anArrayList2084.get(i);
        class188_1.method2832(class188, 0x63763416);
    }

    public int method2904()
    {
        return 0xb4feefdf * anInt2090;
    }

    public int method2905(short word0)
    {
        return 0x3c9fa5b9 * anInt2096;
    }

    int method2906()
    {
        return anInt2091 * 0xc7081c8d;
    }

    int method2907()
    {
        return anInt2091 * 0xc7081c8d;
    }

    void method2908()
    {
        anInt2091 += 0x39f90645;
    }

    void method2909()
    {
        anInt2091 += 0x39f90645;
    }

    public boolean method2910()
    {
        return aBool2082;
    }

    void method2911(int i)
    {
        anArrayList2084.remove(i);
        method2917(0x4cca64a7);
    }

    public boolean method2912()
    {
        return aBool2082;
    }

    void method2913()
    {
        Class188 class188;
        for(Iterator iterator = anArrayList2084.iterator(); iterator.hasNext(); class188.method2826(Class218.aClass218_2553, 0x10a5e721))
            class188 = (Class188)iterator.next();

    }

    void method2914(int i, byte byte0)
    {
        anArrayList2093.remove(i);
    }

    public int method2915()
    {
        return (int)(aLong2086 * 0x4cdfbfd6d9ade295L);
    }

    public int method2916()
    {
        return (int)(aLong2086 * 0x4cdfbfd6d9ade295L);
    }

    void method2917(int i)
    {
        int j = -1;
        int k = -1;
        for(int l = 0; l < anArrayList2084.size(); l++)
        {
            Class188 class188 = (Class188)anArrayList2084.get(l);
            int i1 = class188.method2820(0x6a769e7c);
            if(i1 > j)
            {
                j = i1;
                k = l;
            }
        }

        anInt2096 = 0xac3ad089 * k;
    }

    void method2918()
    {
        int i = -1;
        int j = -1;
        for(int k = 0; k < anArrayList2084.size(); k++)
        {
            Class188 class188 = (Class188)anArrayList2084.get(k);
            int l = class188.method2820(0x9560991f);
            if(l > i)
            {
                i = l;
                j = k;
            }
        }

        anInt2096 = 0xac3ad089 * j;
    }

    void method2919()
    {
        int i = -1;
        int j = -1;
        for(int k = 0; k < anArrayList2084.size(); k++)
        {
            Class188 class188 = (Class188)anArrayList2084.get(k);
            int l = class188.method2820(0x75bd0502);
            if(l > i)
            {
                i = l;
                j = k;
            }
        }

        anInt2096 = 0xac3ad089 * j;
    }

    void method2920(int i, int j, int k)
    {
        ((Class188)anArrayList2084.get(i)).method2828(j, 0xacb96d89);
    }

    public int method2921()
    {
        return 0x3c9fa5b9 * anInt2096;
    }

    public int method2922()
    {
        return 0x3c9fa5b9 * anInt2096;
    }

    public int method2923()
    {
        return 0xb4feefdf * anInt2090;
    }

    void method2924(int i)
    {
        anArrayList2084.remove(i);
        method2917(0x3fd2cf12);
    }

    int method2925()
    {
        return anInt2091 * 0xc7081c8d;
    }

    void method2926(int i, int j)
    {
        ((Class188)anArrayList2084.get(i)).method2828(j, 0xacb96d89);
    }

    public int method2927()
    {
        return (int)(aLong2086 * 0x4cdfbfd6d9ade295L);
    }

    void method2928(int i)
    {
        anArrayList2093.remove(i);
    }

    void method2929(int i, int j)
    {
        ((Class188)anArrayList2084.get(i)).method2841(j, 0x4c12a63a);
        method2917(0x45b7f2d1);
    }

    public boolean method2930()
    {
        return aBool2082;
    }

    void method2931(int i, int j)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2831(j, 0x4f444566);
        class188.method2822(true, 0x27760457);
    }

    void method2932(int i)
    {
        Class188 class188 = (Class188)anArrayList2084.get(i);
        class188.method2822(false, 0x27760457);
    }

    public boolean method2933(int i)
    {
        return aBool2082;
    }

    void method2934(int i)
    {
        Class188 class188;
        for(Iterator iterator = anArrayList2084.iterator(); iterator.hasNext(); class188.method2826(Class218.aClass218_2553, 0x9a61c60b))
            class188 = (Class188)iterator.next();

    }

    public int method2935()
    {
        return 0x3c9fa5b9 * anInt2096;
    }

    void method2936()
    {
        Class188 class188;
        for(Iterator iterator = anArrayList2084.iterator(); iterator.hasNext(); class188.method2826(Class218.aClass218_2553, 0xac1b607b))
            class188 = (Class188)iterator.next();

    }

    public static void method2937(boolean flag, int i)
    {
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub25_10527, 1, 0x738f1e8c);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub25_10515, 1, 0xb158c7dc);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub14_10507, 0, 0xc7348e49);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub9_10505, 0, 0x220f54a2);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub29_10506, 0, 0x7f4793c0);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub26_10508, 0, 0x3c3150b1);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub1_10504, 0, 0x532f7cc3);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub28_10518, 0, 0x6f108924);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub27_10513, 0, 0x3ba8a7b4);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub18_10519, 0, 0xa3e6fa5a);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub3_10509, 0, 0x7026ace8);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub5_10490, 0, 0x223152f2);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub11_10522, 0, 0x6a49de01);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub11_10497, 0, 0xb2f223c8);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub24_10534, 0, 0xa8dc1b9d);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub13_10501, Class234.aClass234_2627.anInt2623 * 0x564f1efb, 0xefe591e6);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub15_10499, 0, 0xccbc62c4);
        if(null != Class463.aClass151_5283 && Class463.aClass151_5283.method2033() && Class463.aClass151_5283.method2107())
            Class463.aClass151_5283.method2086();
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub4_10517, 0, 0x58ed81d1);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub17_10489, 0, 0xb18233d0);
        Class137_Sub1.method8551(0x9033e2b5);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub19_10500, 2, 0xb361ec9d);
        Class447.aClass487_Sub42_5156.method9613(Class447.aClass487_Sub42_5156.aClass637_Sub22_10526, 1, 0x111b6c3e);
        Class45.method875((byte)-62);
        client.aClass452_10749.method5503((byte)5).method6933(0xc6ddf785);
        client.aBool10710 = true;
    }

    static final void method2938(Class612 class612, int i)
    {
        class612.anIntArray8021[(class612.anInt8022 += 0xbfc67c1) * 0xfd93a841 - 1] = Class487_Sub35_Sub2.anInt11015 * 0x6ba28427;
    }

    static final void method2939(int i, int j, int k, int l, int i1, int j1, int k1, byte byte0)
    {
        int l1 = k1 - 334;
        if(l1 < 0)
            l1 = 0;
        else
        if(l1 > 100)
            l1 = 100;
        int i2 = (l1 * (client.aShort10976 - client.aShort10874)) / 100 + client.aShort10874;
        j1 = i2 * j1 >> 8;
        int j2 = 16384 - l & 0x3fff;
        int k2 = 16384 - i1 & 0x3fff;
        int l2 = 0;
        int i3 = 0;
        int j3 = j1;
        if(0 != j2)
        {
            i3 = Class387.anIntArray4503[j2] * -j3 >> 14;
            j3 = j3 * Class387.anIntArray4506[j2] >> 14;
        }
        if(0 != k2)
        {
            l2 = Class387.anIntArray4503[k2] * j3 >> 14;
            j3 = j3 * Class387.anIntArray4506[k2] >> 14;
        }
        Class79.anInt1121 = 0xd9006cb1 * (i - l2);
        Class131.anInt1540 = (j - i3) * 0xbf9a1029;
        Class450.anInt5163 = (k - j3) * 0x560464ab;
        Class581.anInt7791 = 0xe5e69dad * l;
        Class241.anInt2690 = i1 * 0xe8aa5d7d;
        Class439.anInt5044 = 0;
    }

    boolean aBool2082;
    static final int anInt2083 = 1;
    ArrayList anArrayList2084;
    static final int anInt2085 = 4;
    long aLong2086;
    long aLong2087;
    String aString2088;
    static final int anInt2089 = 2;
    int anInt2090;
    int anInt2091;
    static final int anInt2092 = 1;
    ArrayList anArrayList2093;
    boolean aBool2094;
    boolean aBool2095;
    int anInt2096;
    Class672 aClass672_2097;
    public static int anInt2098;
}